CREATE OR ALTER PROCEDURE [dbo].[_listarPermisosXAplicacion] 
		@p_idUsuario AS INT,
		@p_idAplicacion AS INT,
		@p_eid AS VARCHAR(10)
	AS
BEGIN	
		SET NOCOUNT ON;
			
		SELECT (
			SELECT 
				f.id,
				f.funcionalidad,
				tf.tipoFuncionalidad,
				f.nombreComando,
				f.nombreControl,
				f.id_funcionalidad id_funcionalidadPadre
			FROM seg_perfil_funcionalidad pf
				INNER JOIN gui_funcionalidad f
			ON pf.id_funcionalidad = f.id
				INNER JOIN seg_usuario u
			ON u.id_perfil = pf.id_perfil
				INNER JOIN gui_tipoFuncionalidad tf
			ON tf.id = f.id_tipoFuncionalidad
			WHERE 
				u.id = @p_idUsuario AND
				f.id_aplicacion = @p_idAplicacion
			FOR JSON PATH
		)
END